Skip to content

Service (Template) ​

2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getIgmpTemplateGETGet IGMP template setting
modifyIgmpTemplatePUTModify IGMP template setting

getIgmpTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/iptv/igmp

Get IGMP template setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
json
// omada_call_operation
{
  "operationId": "getIgmpTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get IGMP template setting of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.

modifyIgmpTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/iptv/igmp

Modify IGMP template setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID

Request body — application/json (required) — schema IgmpTemplateOpenApiVO

FieldTypeRequiredDescription
enablebooleanyes
versionintegeryesVersion should be a value as follows: 2:v2; 3:v3.
wanPortIdstringyeswan port ID, can be obtained from 'Get site template internet basic info' interface.
json
// omada_call_operation
{
  "operationId": "modifyIgmpTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify IGMP template setting info of the site with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.